XSetWMColormapWindows(3X11)

NAME
XSetWMColormapWindows, XGetWMColormapWindows - set or read a window's WM_COLORMAP_WINDOWS property

SYNTAX
Status XSetWMColormapWindows(display, w, colormap_windows, count)
      Display *display;
      Window w;
      Window *colormap_windows;
      int count;

Status XGetWMColormapWindows(display, w, colormap_windows_return, count_return)
      Display *display;
      Window w;
      Window **colormap_windows_return;
      int *count_return;

ARGUMENTS

display
    Specifies the connection to the X server.

colormap_windows
    Specifies the list of windows.

colormap_windows_return
    Returns the list of windows.

count
    Specifies the number of windows in the list.

count_return
    Returns the number of windows in the list.

w   Specifies the window.

DESCRIPTION
The function replaces the WM_COLORMAP_WINDOWS property on the specified window with the list of windows specified by the colormap_windows argument. It the property does not already exist, sets the WM_COLORMAP_WINDOWS property on the specified window to the list of windows specified by the colormap_windows argument. The property is stored with a type of WINDOW and a format of 32. If it cannot intern the WM_COLORMAP_WINDOWS atom, returns a zero status. Otherwise, it returns a nonzero status.

can generate and errors.

The function returns the list of window identifiers stored in the WM_COLORMAP_WINDOWS property on the specified window. These identifiers indicate the colormaps that the window manager may need to install for this window. If the property exists, is of type WINDOW, is of format 32, and the atom WM_COLORMAP_WINDOWS can be interned, sets the windows_return argument to a list of window identifiers, sets the count_return argument to the number of elements in the list, and returns a nonzero status. Otherwise, it sets neither of the return arguments and returns a zero status. To release the list of window identifiers, use

can generate a error.

PROPERTIES

WM_COLORMAP_WINDOWS
    The list of window IDs that may need a different colormap from that of their top-level window.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3X11), XAllocIconSize(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XFree(3X11), XSetCommand(3X11), XSetTransientForHint(3X11), XSetTextProperty(3X11), XSetWMClientMachine(3X11), XSetWMIconName(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XSetWMProtocols(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface